## ansible 2.6.3+dfsg

=== debian/changelog ===
ansible (2.6.3+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 31 Aug 2018 16:02:49 +0200

ansible (2.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 20 Aug 2018 15:53:28 +0200

ansible (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Avoid loading host/group vars from cwd when not specifying a playbook or
    playbook base dir (CVE-2018-10874)
  * Avoid using ansible.cfg in a world writable dir (CVE-2018-10875)

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 11 Jul 2018 23:25:18 +0200

ansible (2.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 15 Jun 2018 17:01:00 +0200

ansible (2.5.3+dfsg-2) unstable; urgency=medium

  * Merge the alioth and salsa repos
  * Fix again README.rst that was accidentally reverted in the previous upload
    (Closes: #898433)
  * Update VCS fields in debian/control to point to salsa.debian.org.

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 19 May 2018 19:37:54 +0200

ansible (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 18 May 2018 13:50:03 +0200

ansible (2.5.2+dfsg-2) unstable; urgency=medium

  * Correct d/docs to point to README.rst.  (Closes: #898433)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 12 May 2018 14:46:38 -0400
