## ansible 2.6.4+dfsg

=== debian/changelog ===
ansible (2.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 09 Sep 2018 20:07:55 +0200
