=== debian/changelog ===
ansible (2.6.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Greetings from the Chemnitz BSP!

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 29 Sep 2018 15:24:01 +0200
