=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 -Spython_distutils

#override_dh_auto_build:
#	dh_auto_build
#	# html documentation
#	make webdocs
