## ansible 2.7.1+dfsg

=== debian/changelog ===
ansible (2.7.1+dfsg-2) unstable; urgency=medium

  * Add build-depends to python-packaging (Closes: #912995)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Nov 2018 11:03:34 +0100

ansible (2.7.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Lee Garrett ]
  * New upstream release
  * Move from asciidoc to docutils (Closes: #894188)
  * Document packaging build process (Closes: #911027)

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 28 Oct 2018 14:06:43 +0100
