=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: debhelper (>= 9),
                python-all,
                python-crypto,
+               python-docutils,
+               python-packaging,
                python-setuptools,
                python-yaml,
-               asciidoc,
                python-nose,
                python-passlib,
                dh-python
