=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 -Spython_distutils

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_installdocs:
	make docs
	dh_installdocs

#override_dh_auto_build:
#	dh_auto_build
#	# html documentation
#	make webdocs
