## ansible 2.7.5+dfsg

=== test/runner/Makefile ===
.PHONY: all sanity units

all: sanity units

sanity:
	./ansible-test sanity test/runner/ ${TEST_FLAGS}

units:
	PYTHONPATH=. pytest units ${TEST_FLAGS}
