=== debian/changelog ===
ansible (2.7.5+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 28 Dec 2018 21:33:48 -0500

ansible (2.7.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove any loading of external resources from the docs
  * Only symlink JS that dh_sphinxdoc doesn't take care of
  * Override lintian for a long line in layout.html
  * Build ansible-doc again (Closes: #848871)
  * Add build-depends to python-jinja2 (Closes: #915316)
  * Bump Standards-Version (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 19 Dec 2018 11:35:55 +0100
