=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all,
                python-crypto,
                python-docutils,
+               python-jinja2,
+               python-nose,
                python-packaging,
+               python-passlib,
                python-setuptools,
+               python-sphinx,
+               python-sphinx-rtd-theme,
                python-yaml,
-               python-nose,
-               python-passlib,
-               dh-python
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
@@ -43,15 +46,20 @@
  on remote nodes. Extension modules can be written in any language and
  are transferred to managed machines automatically.
 
-#Package: ansible-doc
-#Architecture: all
-#Section: doc
-#Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
-#Description: Ansible documentation and examples
-# Ansible is a radically simple model-driven configuration management,
-# multi-node deployment, and remote task execution system. Ansible works
-# over SSH and does not require any software or daemons to be installed
-# on remote nodes. Extension modules can be written in any language and
-# are transferred to managed machines automatically.
-# .
-# This package contains HTML documentation and examples.
+Package: ansible-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         fonts-font-awesome,
+         fonts-roboto-fontface,
+         libjs-jquery,
+         libjs-modernizr,
+         libjs-underscore
+Description: Ansible documentation and examples
+ Ansible is a radically simple model-driven configuration management,
+ multi-node deployment, and remote task execution system. Ansible works
+ over SSH and does not require any software or daemons to be installed
+ on remote nodes. Extension modules can be written in any language and
+ are transferred to managed machines automatically.
+ .
+ This package contains HTML documentation and examples.
