=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ansible
export ANSIBLE_LOCAL_TEMP=debian/.ansible/tmp

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_auto_build:
	dh_auto_build
	# html documentation
	$(MAKE) webdocs
	# manpage documentation
	$(MAKE) docs

override_dh_auto_test:
	# For now, disable the tests
	#make tests-nonet
