## ansible 2.7.6+dfsg

=== debian/changelog ===
ansible (2.7.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Support 'nodoc' build profile
  * Add sphinxdoc dependencies
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 26 Jan 2019 15:16:27 +0100

ansible (2.7.5+dfsg-2) experimental; urgency=medium

  * Switch to python3. (Closes: #850669)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 31 Dec 2018 01:02:08 +0100
