=== packaging/port/sysutils/ansible/Makefile ===
--- 
+++ 
@@ -13,11 +13,10 @@
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-RUN_DEPENDS=	python>2.5:${PORTSDIR}/lang/python \
+RUN_DEPENDS=	python>2.7:${PORTSDIR}/lang/python \
                ${PORTSDIR}/devel/py-Jinja2 \
                ${PORTSDIR}/devel/py-yaml \
                ${PORTSDIR}/security/py-paramiko \
-               ${PORTSDIR}/devel/py-simplejson \
                ${PORTSDIR}/security/py-pycrypto
 
 OPTIONS_DEFINE=	EXAMPLES
