=== debian/changelog ===
ansible (2.7.7+dfsg-1+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Enable autopkgtest
  * Add salsa-ci testing
  * Fix regresion on CVE-2019-10206
  * Fix CVE-2021-3447: A flaw was found in several
    ansible modules, where parameters containing credentials,
    such as secrets, were being logged in plain-text on
    managed nodes, as well as being made visible on the
    controller node when run in verbose mode. These parameters
    were not protected by the no_log feature. An attacker can
    take advantage of this information to steal those credentials,
    provided when they have access to the log files
    containing them. The highest threat from this vulnerability
    is to data confidentiality
  * Fix CVE-2021-3583: A flaw was found in Ansible, where
    a user's controller is vulnerable to template injection.
    This issue can occur through facts used in the template
    if the user is trying to put templates in multi-line YAML
    strings and the facts being handled do not routinely
    include special template characters. This flaw allows
    attackers to perform command injection, which discloses
    sensitive information. The highest threat from this
    vulnerability is to confidentiality and integrity.
  * Fix CVE-2021-3620: A flaw was found in Ansible Engine's
    ansible-connection module, where sensitive information
    such as the Ansible user credentials is disclosed by
    default in the traceback error message. The highest
    threat from this vulnerability is to confidentiality.
  * Fix CVE-2021-20178: A flaw was found in ansible module
    snmp_fact where credentials are disclosed in the console log by
    default and not protected by the security feature
    This flaw allows an attacker to steal privkey and authkey
    credentials. The highest threat from this vulnerability
    is to confidentiality.
  * CVE-2021-20191: A flaw was found in ansible. Credentials,
    such as secrets, are being disclosed in console log by default
    and not protected by no_log feature when using Cisco nxos moduel.
    An attacker can take advantage of this information to steal those
    credentials. The highest threat from this vulnerability is
    to data confidentiality.
  * CVE-2022-3697: A flaw was found in Ansible in the amazon.aws
    collection when using the tower_callback parameter from the
    amazon.aws.ec2_instance module. This flaw allows an attacker
    to take advantage of this issue as the module is handling the
    parameter insecurely, leading to the password leaking in the logs.
  * CVE-2023-5115: An absolute path traversal attack existed
    in the Ansible automation platform. This flaw allows an
    attacker to craft a malicious Ansible role and make the
    victim execute the role. A symlink can be used to
    overwrite a file outside of the extraction path.
    (Closes: #1053693)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 28 Dec 2023 09:32:51 +0000

ansible (2.7.7+dfsg-1+deb10u1) buster-security; urgency=medium

  [ Markus Koschany ]
  * CVE-2019-10156
  * CVE-2019-10206
  * CVE-2019-14846
  * CVE-2019-14864
  * CVE-2019-14904
  * CVE-2020-10684
  * CVE-2020-10685
  * CVE-2020-10729
  * CVE-2020-14330
  * CVE-2020-14332
  * CVE-2020-14365
  * CVE-2020-1733
  * CVE-2020-1735
  * CVE-2020-1739
  * CVE-2020-1740
  * CVE-2020-1746
  * CVE-2020-1753
  * CVE-2021-20228

  [ Lee Garrett ]
  * Add python3-distutils to Depends (Closes: #962332)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 27 Jul 2021 22:09:11 +0200

ansible (2.7.7+dfsg-1) unstable; urgency=high

  * New upstream release
  * Remove Michael Vogt from uploaders. Thanks for your past contributions! 
  * Fix path traversal bug in fetch module (CVE-2019-3828)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 21 Feb 2019 08:44:57 +0100
