=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all,
-               python-crypto,
-               python-docutils,
-               python-jinja2,
-               python-nose,
-               python-packaging,
-               python-passlib,
-               python-setuptools,
-               python-sphinx,
-               python-sphinx-rtd-theme,
-               python-yaml,
-Standards-Version: 4.2.1
+               python3-all,
+               python3-crypto,
+               python3-docutils,
+               python3-jinja2,
+               python3-nose,
+               python3-packaging,
+               python3-passlib,
+               python3-setuptools,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-yaml,
+               sphinx-common,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
@@ -24,20 +25,21 @@
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-crypto,
-         python-yaml,
-         openssh-client | python-paramiko,
-         python-jinja2,
-         python-httplib2,
-         python-netaddr
-Recommends: python-cryptography,
-            python-jmespath,
-            python-kerberos,
-            python-libcloud,
-            python-selinux,
-            python-winrm (>= 0.1.1),
-            python-xmltodict
+         ${python3:Depends},
+         python3-crypto,
+         python3-distutils,
+         python3-yaml,
+         openssh-client | python3-paramiko,
+         python3-jinja2,
+         python3-httplib2,
+         python3-netaddr
+Recommends: python3-cryptography,
+            python3-jmespath,
+            python3-kerberos,
+            python3-libcloud,
+            python3-selinux,
+            python3-winrm (>= 0.1.1),
+            python3-xmltodict
 Suggests: cowsay, sshpass
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,
@@ -48,8 +50,10 @@
 
 Package: ansible-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
          fonts-font-awesome,
          fonts-roboto-fontface,
          libjs-jquery,
