=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ansible
export ANSIBLE_LOCAL_TEMP=debian/.ansible/tmp

DOPACKAGES = $(shell dh_listpackages)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_auto_build:
	dh_auto_build
ifneq (,$(filter ansible-doc,$(DOPACKAGES)))
	# html documentation
	$(MAKE) webdocs
	# manpage documentation
	$(MAKE) docs
endif

override_dh_auto_test:
	# For now, disable the tests
	# make -k tests-nonet

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
