=== debian/tests/control ===
Tests: unit-tests-base
# Dependencies sourced from:
# - test/lib/ansible_test/_data/requirements/units.txt
# - test/units/requirements.txt
Depends: @,
         git,
         python3-boto3,
         python3-botocore,
         python3-lxml,
         python3-crypto,
         python3-cryptography,
         python3-jinja2,
         python3-mock,
         python3-passlib,
         python3-pexpect,
         python3-pycryptodome,
         python3-pytest,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-tz,
         python3-winrm,
         python3-yaml,
         python3-nose,

Tests: unit-tests-stable
Depends: @,
         git,
         python3-lxml,
         python3-boto3,
         python3-botocore,
         python3-flake8,
         python3-mock,
         python3-pytest-mock,
         python3-pytest-xdist,
         yamllint,
         python3-nose,
         python3-passlib
