## ansible 2.7.8+dfsg

=== debian/changelog ===
ansible (2.7.8+dfsg-1ubuntu0.19.04.1) disco-security; urgency=medium

  * SECURITY UPDATE: Sensitive information could be exposed to remote node.
    - debian/patches/CVE-2019-10156-1.patch: Don't pass locals.
    - debian/patches/CVE-2019-10156-2.patch: Fixed tests.
    - CVE-2019-10156

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 11 Jul 2019 15:42:59 -0300

ansible (2.7.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove patch for CVE-2019-3828 (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 02 Mar 2019 20:33:08 +0100
