=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ansible
-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
@@ -27,7 +28,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-crypto,
-         python3-distutils,
          python3-yaml,
          openssh-client | python3-paramiko,
          python3-jinja2,
