## ansible 2.8.3+dfsg

=== debian/changelog ===
ansible (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #932288)
  * This release fixes CVE-2019-10156 (Closes: #930065)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 01 Aug 2019 10:39:19 -0300
