## ansible 2.9.4+dfsg

=== debian/changelog ===
ansible (2.9.4+dfsg-1) unstable; urgency=medium

  * The "Greetings from Banja Luka" release
  * New upstream release
  * Added python3-distutils to Depends (Thanks to Matthias Luescher!)
  * Fix vulnerability in solaris_zone module via crafted solaris zone
    (CVE-2019-14904)
  * Fix "malicious code could craft filename in nxos_file_copy module"
    (CVE-2019-14905)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 10 Feb 2020 15:49:29 +0100

ansible (2.9.2+dfsg-1) unstable; urgency=medium

  * The "Greetings from the 36c3" release.
  * New upstream release (Closes: #946245)
  * Fix Splunk and Sumologic callback plugin logging sensitive data
    (CVE-2019-14864) (Closes: #943768)
  * Fix parameters marked with "no_log" in suboptions when invalid
    parameters are passed to the module (CVE-2019-14858) (Closes: #943768)
  * Fix for CVE-2019-14856
  * Fix for CVE-2019-10156
  * Fix for CVE-2019-10206
  * Add python3-dnspython to Depends (Closes: #941020)
  * add python3-argcomplete to Recommends, allowing bash completion
  * Stop shipping ansible-test.

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 30 Dec 2019 21:31:13 +0100

ansible (2.8.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix for CVE-2019-14846, CVE-2019-14856, CVE-2019-14858 (v2.8.6)
  * Fix for CVE-2019-10217, CVE-2019-10206 (fixed in v2.8.4)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 28 Oct 2019 22:13:01 +0100
